module OrientDb
  class AttributeRepository < Base
    
    def find_by_key_and_value(key, value)
      # Escape double quotes for OrientDB
      v = value.gsub('"','\\"')
      result = connection.query("SELECT EXPAND(rid) FROM INDEX:attr_unique WHERE key = [\"#{key}\", \"#{v}\"]")
      build_object(result.first)
    end

    def build_object(args={})
      attribute = nil
      unless args.nil?
        attribute = Attribute.new(:id => args["@rid"])
        args.each do |var, val|
          var_name = "@"+var
          if attribute.respond_to?(var)
            attribute.instance_variable_set(var_name, val)
          end
        end
      end
      attribute
    end
    
    private

    def odb_class
        "Attribute"
    end

  end
end