require 'yaml'

def set_dspace_config(host, port, rest, solr)
  Dspace::Config.host = host
  Dspace::Config.port = port
  Dspace::Config.rest_webapp_name = rest
  Dspace::Config.solr_webapp_name = solr
end


if Rails.env.production?
  set_dspace_config ENV['PORTALMEC_DSPACE_HOST'], ENV['PORTALMEC_DSPACE_PORT'], ENV['PORTALMEC_DSPACE_REST'], ENV['PORTALMEC_DSPACE_SOLR']
else
  dspace_configs = YAML.load_file(Rails.root.join('config').to_s.concat('/dspace.yml'))
  config = dspace_configs.fetch(Rails.env)

  set_dspace_config config['host'], config['port'], config['rest_webapp_name'], config['solr_webapp_name']
end